Bug 1371762 - [abrt] recoll: __netlink_assert_response(): recoll killed by SIGABRT
Summary: [abrt] recoll: __netlink_assert_response(): recoll killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b277d51973bdd480ac84794e6e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 03:28 UTC by "FeRD" (Frank Dana)
Modified: 2018-09-30 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:56:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (51.96 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: cgroup (148 bytes, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: core_backtrace (10.72 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: dso_list (19.39 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: environ (2.80 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: limits (1.29 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: maps (88.12 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: namespaces (102 bytes, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: open_fds (2.90 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-08-31 03:28 UTC, "FeRD" (Frank Dana)
no flags Details

Description "FeRD" (Frank Dana) 2016-08-31 03:28:39 UTC
Version-Release number of selected component:
recoll-1.21.7-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        recoll
crash_function: __netlink_assert_response
executable:     /usr/bin/recoll
global_pid:     6765
kernel:         4.6.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 __netlink_assert_response at ../sysdeps/unix/sysv/linux/netlink_assert_response.c:103
 #5 __netlink_request at ../sysdeps/unix/sysv/linux/ifaddrs.c:171
 #6 getifaddrs_internal at ../sysdeps/unix/sysv/linux/ifaddrs.c:334
 #7 __getifaddrs at ../sysdeps/unix/sysv/linux/ifaddrs.c:828
 #8 interfaceListing at kernel/qnetworkinterface_unix.cpp:431
 #9 QNetworkInterfaceManager::scan at kernel/qnetworkinterface_unix.cpp:485
 #10 QNetworkInterfaceManager::allInterfaces at kernel/qnetworkinterface.cpp:116
 #11 QNetworkInterface::allInterfaces at kernel/qnetworkinterface.cpp:561
 #12 QGenericEngine::doRequestUpdate at qgenericengine.cpp:328
 #13 QMetaMethod::invoke at kernel/qmetaobject.cpp:2211

Comment 1 "FeRD" (Frank Dana) 2016-08-31 03:28:44 UTC
Created attachment 1196144 [details]
File: backtrace

Comment 2 "FeRD" (Frank Dana) 2016-08-31 03:28:45 UTC
Created attachment 1196145 [details]
File: cgroup

Comment 3 "FeRD" (Frank Dana) 2016-08-31 03:28:46 UTC
Created attachment 1196146 [details]
File: core_backtrace

Comment 4 "FeRD" (Frank Dana) 2016-08-31 03:28:47 UTC
Created attachment 1196147 [details]
File: dso_list

Comment 5 "FeRD" (Frank Dana) 2016-08-31 03:28:49 UTC
Created attachment 1196148 [details]
File: environ

Comment 6 "FeRD" (Frank Dana) 2016-08-31 03:28:49 UTC
Created attachment 1196149 [details]
File: limits

Comment 7 "FeRD" (Frank Dana) 2016-08-31 03:28:51 UTC
Created attachment 1196150 [details]
File: maps

Comment 8 "FeRD" (Frank Dana) 2016-08-31 03:28:52 UTC
Created attachment 1196151 [details]
File: mountinfo

Comment 9 "FeRD" (Frank Dana) 2016-08-31 03:28:53 UTC
Created attachment 1196152 [details]
File: namespaces

Comment 10 "FeRD" (Frank Dana) 2016-08-31 03:28:54 UTC
Created attachment 1196153 [details]
File: open_fds

Comment 11 "FeRD" (Frank Dana) 2016-08-31 03:28:55 UTC
Created attachment 1196154 [details]
File: proc_pid_status

Comment 12 "FeRD" (Frank Dana) 2016-08-31 03:28:56 UTC
Created attachment 1196155 [details]
File: var_log_messages

Comment 13 Fedora Update System 2016-09-19 20:33:56 UTC
recoll-1.22.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ba525bde4

Comment 14 Fedora Update System 2016-09-19 20:34:04 UTC
recoll-1.22.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2df9cdbb5

Comment 15 Fedora Update System 2016-09-19 20:34:08 UTC
recoll-1.22.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f01eee76d3

Comment 16 Fedora Update System 2016-09-20 19:57:21 UTC
recoll-1.22.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ba525bde4

Comment 17 Fedora Update System 2016-09-22 01:25:04 UTC
recoll-1.22.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2df9cdbb5

Comment 18 Fedora Update System 2016-09-22 01:26:03 UTC
recoll-1.22.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f01eee76d3

Comment 19 "FeRD" (Frank Dana) 2016-09-22 01:54:14 UTC
No change in this bug. recoll-1.22.3-1.fc24 still crashes after a short time.

Comment 20 "FeRD" (Frank Dana) 2016-09-23 03:09:51 UTC
I should mention, as a data point in reproducing/chasing this bug: I have recoll configured with an External Index set to a local path, which is symlinked through /run/user/1000/gvfs/sftp:host=other.local,user=username/ to the /home/username/.recoll/xapiandb/ directory on another host on the local LAN. (A setup I've been using for years, and which worked fine in recoll through Fedora 22, but started failing after I upgraded the client machine from F22 to F24.)

Comment 21 Fedora Update System 2016-10-03 03:50:36 UTC
recoll-1.22.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-10-03 06:20:36 UTC
recoll-1.22.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-10-09 02:54:13 UTC
recoll-1.22.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 "FeRD" (Frank Dana) 2016-12-03 03:52:15 UTC
Hmm. This is getting more interesting.

I was recently forced by a temporary system outate to switch over to my laptop, which is running the same build of recoll in Fedora 24 (or, was, I've since upgraded it to F25), with recoll configured in exactly the same way.

And I had no problems at all with recoll crashing.

So, it seems the crashing is caused by something in my system configuration on this one particular machine... I just wish I could figure out what. It must be external to the recoll configuration, even, because I had to rebuild that from scratch at one point due to a config file corruption. The crashing existed both before and after.

I'll probably end up closing this as not reproducible, though I'd like to leave it open for a little while longer in the hopes of hunting down the source of the crashes on this system.

Comment 25 Terje Røsten 2016-12-05 19:39:10 UTC
Could also be due to a special file recoll have trouble parsing?

Comment 26 "FeRD" (Frank Dana) 2016-12-06 00:06:53 UTC
I'll look into it, but highly unlikely. I run recollindex in the background, but it's not crashing. Only the GUI.

Comment 27 Fedora End Of Life 2017-07-25 22:45:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 28 Fedora End Of Life 2017-08-08 16:56:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 29 "FeRD" (Frank Dana) 2018-09-30 14:40:47 UTC
A year after this bug EOL'd closed...

The release notes for recoll 1.23.8 included this hopeful note:

* Unix: hopefully fixes the "error 9 on netlink descriptor" GUI crash.


And by 1.24.1 it had graduated from "hopefully" to a firm assertion:

* Fixes the "error 9 on netlink descriptor" GUI crash.


So it looks like this will FINALLY be fixed, when the fedora repos make it to 1.24.1 at the latest.

Comment 30 Terje Røsten 2018-09-30 16:57:17 UTC
Lets hope so.


Note You need to log in before you can comment on or make changes to this bug.